Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78982 - SquirrelMail 1.2.8 vulnerable to XSS attacks
Summary: SquirrelMail 1.2.8 vulnerable to XSS attacks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squirrelmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 10:39 UTC by Gary Benson
Modified: 2008-05-01 15:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-05 08:46:22 UTC


Attachments (Terms of Use)
Script to check vulnerability (deleted)
2002-12-04 10:40 UTC, Gary Benson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:042 normal SHIPPED_LIVE : Updated squirrelmail packages close cross-site scripting vulnerabilities 2003-02-07 05:00:00 UTC

Description Gary Benson 2002-12-04 10:39:21 UTC
SquirrelMail 1.2.8 is vulnerable to a number of cross-site scripting attacks.

http://marc.theaimsgroup.com/?l=bugtraq&m=103893844126484&w=2

Comment 1 Gary Benson 2002-12-04 10:40:02 UTC
Created attachment 87324 [details]
Script to check vulnerability

Comment 2 Gary Benson 2002-12-06 11:21:46 UTC
This bug has been designated CAN-2002-1341.

Comment 3 david 2003-01-15 14:18:25 UTC
is there any patch package?

Comment 4 Mark J. Cox 2003-03-05 08:46:23 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-042.html



Note You need to log in before you can comment on or make changes to this bug.